#include <iostream>
#include <array>
#include <algorithm>

using namespace std;

int main() {
  array<double, 3> a1{3, 2, 1};

  sort(a1.begin(), a1.end());

  cout << "a1[0.."
       << a1.size() - 1
       << "]:";
  for (const double& x: a1)
    cout << " " << x;
  cout << endl;
}
